ServerEvents.recipes(event => {
    //Productive Bees Comb Production
    function beeCombs(bee) {
        event.custom({
            "type": "productivebees:advanced_beehive",
            "ingredient": "productivebees:" + bee,
            "results": [
                {
                    "item": {
                        "type": "forge:nbt",
                        "item": "productivebees:configurable_honeycomb",
                        "nbt": {
                            "EntityTag": {
                                "type": "productivebees:" + bee
                            }
                        }
                    }
                }
            ],
            "conditions": [
                {
                    "type": "productivebees:bee_exists",
                    "bee": "productivebees:" + bee
                }
            ]
        }).id('productivebees:comb/' + bee)
    }
    beeCombs('prismalium')
    beeCombs('melodium')
    beeCombs('stellarium')
    beeCombs('soul_infused')
    beeCombs('shellite')
    beeCombs('twinite')
    beeCombs('dragonsteel')

    //Productive Bees Comb Processing
    function combProcessingTag(bee, chance) {
        event.custom({
            "type": "productivebees:centrifuge",
            "ingredient": {
                "type": "forge:nbt",
                "item": "productivebees:configurable_honeycomb",
                "nbt": {
                    "EntityTag": {
                        "type": "productivebees:" + bee
                    }
                }
            },
            "outputs": [
                {
                    "item": {
                        "tag": "forge:ingots/" + bee
                    },
                    "min": 1,
                    "max": 1,
                    "chance": chance
                },
                {
                    "item": {
                        "tag": "forge:wax"
                    }
                }
            ]
          }).id('productivebees:comb_processing/' + bee)
    }
    combProcessingTag('prismalium', 50)
    combProcessingTag('melodium', 50)
    combProcessingTag('stellarium', 50)
    combProcessingTag('soul_infused', 50)
    combProcessingTag('shellite', 50)
    combProcessingTag('twinite', 50)
    combProcessingTag('dragonsteel', 50)
})